### Constructor

# GimpUi BrushSelectButton new

#### Declaration [src]

    GtkWidget*
    gimp_brush_select_button_new (
      const gchar* title,
      const gchar* brush_name,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode
    )

#### Description [src]

Creates a new `GtkWidget` that completely controls the selection of a brush. This widget is suitable for placement in a table in a plug-in dialog.

Available since: | 2.4

#### Parameters

`title` | `const gchar*`
| Title of the dialog to use or `NULL` means to use the default title.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`brush_name` | `const gchar*`
| Initial brush name or `NULL` to use current selection.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`opacity` | `gdouble`
| Initial opacity. -1 means to use current opacity.
`spacing` | `gint`
| Initial spacing. -1 means to use current spacing.
`paint_mode` | `GimpLayerMode`
| Initial paint mode. -1 means to use current paint mode.

#### Return value

Returns: | `GtkWidget`
| A `GtkWidget` that you can use in your UI.
| The data is owned by the called function.